Loading...
Searching...
No Matches
CFRandom Class Reference

virtual class for random element generation More...

`#include <cf_random.h>`

## Public Member Functions

virtual | ~CFRandom ()
virtual CanonicalForm | generate () const
virtual CFRandom * | clone () const
virtual | ~CFRandom ()
virtual CanonicalForm | generate () const
virtual CFRandom * | clone () const
virtual | ~CFRandom ()
virtual CanonicalForm | generate () const
virtual CFRandom * | clone () const

## Detailed Description

virtual class for random element generation

Definition at line 21 of file cf_random.h.

## Constructor & Destructor Documentation

## ~CFRandom() [1/3]

virtual CFRandom::~CFRandom | ( |  | ) |

inline virtual

Definition at line 23 of file cf_random.h.

{}

## ~CFRandom() [2/3]

virtual CFRandom::~CFRandom | ( |  | ) |

inline virtual

Definition at line 840 of file factory.h.

{}

## ~CFRandom() [3/3]

virtual CFRandom::~CFRandom | ( |  | ) |

inline virtual

Definition at line 840 of file factory.h.

{}

## Member Function Documentation

## clone() [1/3]

virtual CFRandom * CFRandom::clone | ( |  | ) | const

inline virtual

Reimplemented in AlgExtRandomF, AlgExtRandomF, AlgExtRandomF, FFRandom, FFRandom, FFRandom, GFRandom, GFRandom, GFRandom, IntRandom, IntRandom, and IntRandom.

Definition at line 25 of file cf_random.h.

{ return new CFRandom(); }

## clone() [2/3]

virtual CFRandom * CFRandom::clone | ( |  | ) | const

inline virtual

Reimplemented in AlgExtRandomF, AlgExtRandomF, AlgExtRandomF, FFRandom, FFRandom, FFRandom, GFRandom, GFRandom, GFRandom, IntRandom, IntRandom, and IntRandom.

Definition at line 842 of file factory.h.

{ return new CFRandom(); }

## clone() [3/3]

virtual CFRandom * CFRandom::clone | ( |  | ) | const

inline virtual

Reimplemented in AlgExtRandomF, AlgExtRandomF, AlgExtRandomF, FFRandom, FFRandom, FFRandom, GFRandom, GFRandom, GFRandom, IntRandom, IntRandom, and IntRandom.

Definition at line 842 of file factory.h.

{ return new CFRandom(); }

## generate() [1/3]

virtual CanonicalForm CFRandom::generate | ( |  | ) | const

inline virtual

Reimplemented in AlgExtRandomF, AlgExtRandomF, AlgExtRandomF, FFRandom, FFRandom, FFRandom, GFRandom, GFRandom, GFRandom, IntRandom, IntRandom, and IntRandom.

Definition at line 24 of file cf_random.h.

{ return 0; }

## generate() [2/3]

virtual CanonicalForm CFRandom::generate | ( |  | ) | const

inline virtual

Reimplemented in AlgExtRandomF, AlgExtRandomF, AlgExtRandomF, FFRandom, FFRandom, FFRandom, GFRandom, GFRandom, GFRandom, IntRandom, IntRandom, and IntRandom.

Definition at line 841 of file factory.h.

{ return 0; }

## generate() [3/3]

virtual CanonicalForm CFRandom::generate | ( |  | ) | const

inline virtual

Reimplemented in AlgExtRandomF, AlgExtRandomF, AlgExtRandomF, FFRandom, FFRandom, FFRandom, GFRandom, GFRandom, GFRandom, IntRandom, IntRandom, and IntRandom.

Definition at line 841 of file factory.h.

{ return 0; }

The documentation for this class was generated from the following files:

- factory/cf_random.h
- factory/factory.h
- factory/include/factory/factory.h